get
https://api-pro.sim.hashkeydev.com/api/v1/earn/orders
Weight: 1
Request Parameters
| Parameter | Type | Required | Example Value | Description |
|---|---|---|---|---|
| productId | STRING | |||
| orderType | ENUM(STRING) | purchaseredeemairdrop-interestredeem-interest | ||
| orderId | STRING | One of orderId or clOrderId must be sent | ||
| clOrderId | STRING | One of orderId or clOrderId must be sent | ||
| limit | STRING | Default 500, Max 1000 | ||
| startTime | STRING | Last 180 days - order creation time | ||
| endTime | STRING | Last 180 days - order creation time | ||
| timestamp | LONG | Y | Timestamp | |
| signature | STRING | Y |
Response Content
| Param | Type | Example | Description |
|---|---|---|---|
| Array | |||
| orderId | STRING | Order ID | |
| clOrderId | STRING | Client Order Id | |
| productId | STRING | Product ID | |
| orderType | ENUM(STRING) | purchaseredeemairdrop-interestredeem-interest | |
| status | ENUM(STRING) | -CANCELED(-1)- PROCESSING(1)- SETTLING(2)- DONE(3)- FAILED(4)- PENDING_SETTLING(5) | |
| currency | STRING | Investment currency, e.g. BTC, USD | |
| amount | STRING | -order_type=purchase: purchase input amount- order_type=redeem & status=3: redemption input shares equivalent value = unit × lastUnitValue- order_type=airdrop-interest & status=3: value of airdropped shares = unit × lastUnitValue- order_type=redeem-interest & status=3: unsettled earnings = unrealizedEarnings | |
| price | STRING | -order_type=purchase: lastUnitValue when the purchase is completed- order_type=redeem & status=3: lastUnitValue when the redemption is completed- order_type=airdrop-interest & status=3: lastUnitValue of the airdropped shares obtained- order_type=redeem-interest: 0 | |
| unit | STRING | Allocated units of tokens / portion, returned only in the following cases: - order_type=purchase & status=3: purchase units obtained = amount / lastUnitValue- order_type=redeem: redeemed input units- order_type=airdrop-interest & status=3: airdropped units obtained- order_type=redeem-interest: 0 | |
| fee | STRING | Platform commision fee calculated in the same currency. Appears only when order_type = redeem, so the actual amount received by the client = amount - fee. | |
| extraFee | STRING | Fee If redemption is initiated within 1 month after purchase, an MM fee is charged, calculated in the same currency. Appears only when order_type = redeem-interest, so the actual amount received by the client = amount - extraFee. | |
| transactionTime | STRING | Order purchased time, Unix timestamp format in milliseconds, e.g. 1762222502274 |